Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#76 19-02-2016 01:05:46

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

La commande, c'est juste --uninstall après le nom du fichier ?
Il me dit commande introuvable.

Et tout le reste a marché, oui.

Hors ligne

#77 19-02-2016 01:14:55

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Bon tu a pu tenter le redemarrage ?


sh amd-driver-installer-x86.x86_64.run --uninstall
 



ou


sh /usr/share/ati/amd-uninstall.sh
 



ps: sans garantie j ai pris ça sur la doc du site amd

pour ubuntu

1. List the status of the AMD CatalystTM Proprietary driver packages that are currently installed on
your system:


dpkg -l fglrx fglrx-core fglrx-amdcccle fglrx-dev
 


ps: donne la liste des fichiers present sur le system

2. Remove the driver packages from your system using the following command:


dpkg –r fglrx fglx-core fglrx-dev fglrx-amdcccle
 


ps: pour desinstaller les fichiers

pour verifier que tout est ok tu refait le point 1 , ça doit apparaitre absent

Dernière modification par robert2a (19-02-2016 02:31:50)

Hors ligne

#78 19-02-2016 01:30:28

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Désolé, je suis switch entre la ligne de commande, mon téléphone et un Windows un peu lent. C'est pas toujours évident d'avoir tout en même temps.

Le redémarrage a fonctionné comme d'habitude, je retrouve mon écran noir avec le curseur.

J'ai bien le fichier .run, mais il ne trouve pas la commande que tu me dis. C'est juste "fichier.run --uninstall" ?

Je vais voir s'il est installé.

Edit : Et j'en ai oublié le contenu de modules-load.d. Y a cups-filters.conf et modules.conf

Dernière modification par NestorBurma (19-02-2016 01:34:49)

Hors ligne

#79 19-02-2016 01:44:26

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

tu peu tester avec dpkg  voir ce que ça donne , le point 1 devrait te renvoyer quelque chose roll
je connais pas pour amd le .run ou .deb

pour la premiere commande il te faut le .run qui doit etre dans tes dossiers si tu la pas effacé

les commandes dpkg c est pour les .deb

une autre méthode c'est de prendre le noyau de stretch par exemple , mais la ça depasse mes competences et puis tu va te trainer des résidus de l installateur d amd pas cool

Dernière modification par robert2a (19-02-2016 01:52:44)

Hors ligne

#80 19-02-2016 01:49:27

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

J'ai supprimé le .run, mais ça a pas marché parce que les fichiers étaient corrompus :

sh amd-driver-installer-15.302-x86.x86_64.run --uninstall
One or more files have been altered since installation.
Uninstall will not be completed. See /etc/ati/fglrx-uninstall.log for details.



Du coup je suis allé voir dans le /etc/ati/fglrx-uninstall.log et j'ai trouvé ça :

*** AMD  Proprietary Driver Uninstall Log 2016-02-19 00:35:08 ***
File is missing from system /usr/share/applications/amdcccle.desktop.
File is missing from system /usr/share/icons/ccc_large.xpm.
File is missing from system /usr/bin/amdcccle.
File is missing from system /usr/lib/i386-linux-gnu/libAMDXvBA.so.1.0.
File is missing from system /usr/lib/i386-linux-gnu/libXvBAW.so.1.0.
File is missing from system /usr/lib/i386-linux-gnu/libatiadlxx.so.
File is missing from system /usr/lib/i386-linux-gnu/libaticalcl.so.
File is missing from system /usr/lib/i386-linux-gnu/libaticaldd.so.
File is missing from system /usr/lib/i386-linux-gnu/libaticalrt.so.
File is missing from system /usr/lib/i386-linux-gnu/libatiuki.so.1.0.
File is missing from system /usr/lib/i386-linux-gnu/libfglrx_dm.so.1.0.
File is missing from system /usr/lib/i386-linux-gnu/fglrx/fglrx-libGL.so.1.2.
File is missing from system /usr/lib/i386-linux-gnu/dri/fglrx_dri.so.
File is missing from system /usr/lib/x86_64-linux-gnu/dri/fglrx_dri.so.
File is missing from system /usr/bin/fgl_glxgears.
File is missing from system /usr/bin/fglrxinfo.
File is missing from system /usr/bin/aticonfig.
File is missing from system /usr/bin/atiodcli.
File is missing from system /usr/bin/atiode.
/usr/bin/md5sum: /usr/X11R6/lib/modules/dri/fglrx_dri.so: Aucun fichier ou doss$md5sum integrity check failed for /usr/X11R6/lib/modules/dri/fglrx_dri.so.
/usr/bin/md5sum: /usr/X11R6/lib64/modules/dri/fglrx_dri.so: Aucun fichier ou do$md5sum integrity check failed for /usr/X11R6/lib64/modules/dri/fglrx_dri.so.
/usr/bin/md5sum: /usr/bin/amdconfig: Aucun fichier ou dossier de ce type
md5sum integrity check failed for /usr/bin/amdconfig.
One or more files have been altered since installation.
Uninstall will not be completed.

To force uninstall, removing all installed files without verification,
run /usr/share/ati/amd-uninstall.sh --force.

Forcing uninstall is not recommended and may cause system corruption.



J'ai pas osé forcer sans avis préalable.

Et le dpkg n'a rien trouvé :

dpkg-query: aucun paquet ne correspond à fglrx
dpkg-query: aucun paquet ne correspond à fglrx-core
dpkg-query: aucun paquet ne correspond à fglrx-amdcccle
dpkg-query: aucun paquet ne correspond à fglrx-dev

Hors ligne

#81 19-02-2016 01:56:21

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Bon déja on a avancé , mais comment bien le nettoyer je sais pas trop

ceci pas trop rassurant


To force uninstall, removing all installed files without verification,
run /usr/share/ati/amd-uninstall.sh --force.

Forcing uninstall is not recommended and may cause system corruption.
 



te faire reinstaller le .run pour le desinstaller proprement ça me plait guere non plus roll

c'est aujourd hui ça => *** AMD  Proprietary Driver Uninstall Log 2016-02-19 00:35:08 ***  tongue  le 19/02/2016  tongue  lol  cool

donc tu a peut etre dist-upgrade de wheezy a jessie avec un .run installé

comment veut tu faire ?


run /usr/share/ati/amd-uninstall.sh --force
 


forcer  hmm   comme ci dessus ?
ou reinstaller le .run ?

je ,pense qu il faut


cd /usr/share/ati/
 



./amd-uninstall.sh --force
 

Dernière modification par robert2a (19-02-2016 02:09:35)

Hors ligne

#82 19-02-2016 02:08:41

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Réinstaller, ça me parait moins risqué.

Hors ligne

#83 19-02-2016 02:10:33

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

tu a le .run ? ou tu le recupere sur le site

tu a le lien pour la doc au dessus ( il fonctionne pas je l efface )

casse pied pour arriver jusqu au driver linux  roll

Dernière modification par robert2a (19-02-2016 02:32:34)

Hors ligne

#84 19-02-2016 02:12:47

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Je l'ai.

Hors ligne

#85 19-02-2016 09:50:23

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

NestorBurma a écrit :

Réinstaller, ça me parait moins risqué.



à moi aussi ...
enfin je ne suis pas pour la migration wheezy / jessie (à cause du passage à systemd)

que je comprenne bien la base
tu étais avec wheezy et ça fonctionnait
avais tu installé fglrx sur wheezy puis passé à jessie
ou passé à jessie puis installer fglrx ?

les drivers proprio demande la recompilation du noyau me semble t'il ... donc peut être qu'en reprenant la base
installation du noyau jessie
installation du serveur graphique
update-grub

enfin ce sont des idées comme ça, j'avoue que ça dépasse mes compétences, désolé neutral


"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#86 19-02-2016 11:02:46

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

bonjour
il a tenté de l enlever cette nuit aprés avoir trouve des traces du driver amd , mais a priori installation avant la fin du passage a jessie.
le .run trop abimé il a refusé de s enlever proprement.
je l ai fait avec un .run nvidia , reinstaller puis l enlever ça a fonctionné..(mais sur un upgrade pas  une migration)
si c est le cas il va récupérer le driver libre .
il risque de rester des traces , on verra bien.
amd a plusieurs driver , en .deb et en .run

Hors ligne

#87 19-02-2016 11:12:18

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Ouai, du coup j'ai tenté le forcing. Et après reboot j'ai un écran de login en graphique. Je me connecte mais je tombe sur cet écran :
Selection_040.png

sad

Une autre idée ? Maintenant je pense que je vais réinstaller Jessie, tant pis.

Hors ligne

#88 19-02-2016 11:28:44

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Bonjour
tu a l invite de logging maintenant ?  (en graphique )

Hors ligne

#89 19-02-2016 11:30:52

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Oui, voilà.
Mais après j'ai l'écran d'erreur posté plus haut. En revenant sur un terminal, j'ai tenté startx, service lightdm stop/start, ça n'a rien fait.

Hors ligne

#90 19-02-2016 11:33:00

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

un petit


cat /var/log/Xorg.0.log | grep EE
 



voir si tu peu selectionner ton bureau Mate ou Gnome et si meme probleme
faire la mise a jour par un upgrade
et regarder si autoremove te donne quelque chose a enlever (avec l option -s c est indolore pour simuler)
le seveurX demarre , c'est ensuite que ça coince

ps: avec lightdm c est en haut a droite que tu peu choisir le bureau ( et pour gnome en mode classic pour tester un peu moins gourmand en ressources vidéo)

tu peu par la combinaison de touches revenir en console et par "service lightdm stop et start" tester le bureau (sans redemarrer )

Dernière modification par robert2a (19-02-2016 11:40:57)

Hors ligne

#91 19-02-2016 12:02:29

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Eh bien c'est formidable, j'ai un bureau !
Il n'y a que Mate qui fonctionne par contre, mais c'est pas grave, je le préfère à Gnome.

La commande me donnait :

 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    25.747] (EE) Failed to load /usr/lib/xorg/modules/extensions/libglx.so: libGL.so.1: cannot open shared object file: No such file or directory
[    25.747] (EE) Failed to load module "glx" (loader failed, 7)



Vraiment merci pour tout.

Hors ligne

#92 19-02-2016 12:06:56

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

maintenant reste a savoir ce que tu veut ?

Garder gnome et tenter de le reparer
Garder Mate et supprimer gnome (il faudra surement configurer mate pour retrouver tes programmes )

a toi de voir (tu a put passer gnome en classic pour verifier ? )

ps: de tete je me souvient plus mais il te manque peut etre des choses comme libmesa-dri a voir

libGL.so.1 et module glx je peu chercher , ça me parle  roll  smile
pour finaliser l installation du driver libre il y a les tests sur le wiki pour la 3D , une partie des commandes est pour le fglrx (pas ton cas ) et glx  .
je te conseille de verifier tout ça

test glx


glxinfo | grep 'direct rendering'
 


retour


direct rendering: Yes
 


commande


glxgears
 


commande


glxheads
 


lien wiki =>  https://debian-facile.org/doc:materiel: … i&s=driver

Dernière modification par robert2a (19-02-2016 12:20:01)

Hors ligne

#93 19-02-2016 12:31:28

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Je ne suis pas spécialement attaché à Gnome, je préfèrerais garder Mate, mais je vois déjà quelques logiciels qui ne fonctionnent pas (LibreOffice, Skype).
Gnome classic ne fonctionne pas non plus.

Les commandes ne fonctionnent pas à cause de libGL.so.1

glxinfo | grep 'direct rendering'
glxinfo: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
 



glxgears
glxgears: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
 



glxheads
glxheads: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory

Hors ligne

#94 19-02-2016 12:39:30

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

installe ceci


apt-get install libgl1-mesa-glx
 



et mesa-utils


apt-get install mesa-utils
 



ps: l utilitaire synaptic fonctionne ?  (sous mate )

Dernière modification par robert2a (19-02-2016 12:42:15)

Hors ligne

#95 19-02-2016 12:44:10

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Ce sont déjà les plus récentes versions installées...
Synpactic marche.

Dernière modification par NestorBurma (19-02-2016 12:44:47)

Hors ligne

#96 19-02-2016 12:47:49

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

tu a le paquet libgl1-mesa-dri installé ?

ps : si tu purge gnome , enleve tous les programmes , et reinstalle synaptic ,gedit ,gdebi etc ...  proprement  wink

Dernière modification par robert2a (19-02-2016 12:50:10)

Hors ligne

#97 19-02-2016 12:48:56

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Affirmatif

Hors ligne

#98 19-02-2016 12:51:24

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

synaptic te donne des paquets cassé , ou pouvant etre desinstallé ou a mettre a jour ?

Hors ligne

#99 19-02-2016 12:54:40

NestorBurma
Membre
Inscription : 17-02-2016

Re : [Résolu] Saccades avec Jessie et ATI Radeon

Il ne semble pas, non :
CzTH4GQ.png

Hors ligne

#100 19-02-2016 12:57:53

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Saccades avec Jessie et ATI Radeon

dans les drivers tu a bien xserver-xorg-video-ati et  radeon installé ?

Hors ligne

Pied de page des forums